lcdproc(1)

NAME
lcdproc - system status information client

SYNOPSIS
lcdproc [-hfv] [-c config] [-s host] [-p port] [-e delay] [screen ...]

DESCRIPTION
lcdproc is the client in the LCDproc suite that displays information about the local system's status on an LCD that is connected to an LCDd server daemon.

Due to the client-server architecture it does not matter whether the LCDd daemon runs on the local machine or on a remote system.

Most settings of lcdproc are configured through its configuration file /etc/lcdproc.conf, some of them can be overridden using command line options.

Before running lcdproc you should carefully read through that file and modify the settings therein according to your needs.

When compiled appropriately, some aspects of lcdproc can even configured at run time using a menu on the LCD.

Currently, only Linux, the BSD variants FreeBSD, NetBSD, OpenBSD and Darwin as well as Solaris are supported, but not all features may be available on all platforms.

OPTIONS
lcdproc understands these command line options:

-c config
    Use a configuration file other than /etc/LCDd.conf

-s host
    Connect to the LCDd server on host, instead to the one listed in te Server parameter in the config file's [lcdproc] section. If not given here and not specified in the config file or if the default config file does not exist, it defaults to 'localhost.

-p port
    Use port port when connecting to the LCDd server on host. This option overrides the Port parameter in the config file's [lcdproc] section. Without a default config file or when not set in the config file, it defaults to the LCDproc port 13666.

-f  Run in the foreground, overriding the Foreground parameter in the config file's [lcdproc] section. The default, if not in the config file or without a config file, is to daemonize lcdproc as it is intended to display the system information in the background.

-e delay
    Sleep delay in 100ths of seconds between updating screens in an update cycle. This option overrides the Delay parameter in the config file's [lcdproc] section. When not given and not in the config file, it defaults to 0.

-h  Show help screen.

-v  Print the version of lcdproc and exit.

screen
    can be one of the following:

    C CPU
        show detailed CPU usage

    P SMP-CPU
        CPU usage overview: one line per CPU, especially useful on SMP systems.

    G CPUGraph
        CPU histogram

    L Load
        Load histogram

    M Memory
        memory & swap usage

    S ProcSize
        memory usage of 5 biggest processes

    D Disk
        filling level of the mounted file systems

    I Iface
        network interface usage

    B Battery
        battery status

    T TimeDate
        time & date information

    O OldTime
        old time screen

    U Uptime
        uptime screen

    K BigClock
        big clock

    N MiniClock
        minimal clock

    A About
        credits page

    On the command line you may either use the short or the long screen name. In the config file, the long names are used as section labels to configure the screens further.

    You may also prefix the screen names with an exclamation mark '!' to disable a screen that was activated in the config file instead of activating a disabled one.

EXAMPLES
    lcdproc C M D '!L'

With the command line specified above, lcdproc loads the default configuration file, connects to the LCDd server specified therein and then displays the following screens in addition to those activated in the configuration file on the LCD:

*   detailed CPU Usage

*   Memory & swap usage

*   filling level of the mounted file systems

The

*   Load histogram

screen is disabled and therefore not shown in the display. (The quotes are not part of lcdproc's command line syntax; they are required to disable special interpretation of the exclamation mark by the shell).

FILES
/etc/lcdproc.conf, lcdproc's default configuration file

SEE ALSO
LCDd(8), lcdproc-config(5)

AUTHOR
Many people have contributed to LCDproc. See the CREDITS file for more details.

All questions should be sent to the lcdproc mailing list. The mailing list, and the newest version of LCDproc, should be available from here:

        http://www.lcdproc.org/

LEGAL STUFF
LCDproc is released as "WorksForMe-Ware". In other words, it is free, kinda neat, and we don't guarantee that it will do anything in particular on any machine except the ones it was developed on.

It is technically released under the GNU GPL license (you should have received the file, "COPYING", with LCDproc) (also, look on http://www.fsf.org/ for more information), so you can distribute and use it for free -- but you must make the source code freely available to anyone who wants it.

For any sort of real legal information, read the GNU GPL (GNU General Public License). It's worth reading.